## org.apache.xalan.transformer
Class NodeSorter

    java.lang.Object
      |
      +--org.apache.xalan.transformer.NodeSorter

public class NodeSorter
extends java.lang.Object

This class can sort vectors of DOM nodes according to a select pattern.

Usage:
  **For internal use only**

Constructor Summary
`NodeSorter(XPathContext p)` Construct a NodeSorter, passing in the XSL TransformerFactory so it can know how to get the node data according to the proper whitespace rules.

Method Summary
`void` `sort(DTMIterator v, java.util.Vector keys, XPathContext support)` Given a vector of nodes, sort each node according to the criteria in the keys.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeSorter

    public NodeSorter(XPathContext p)

  Construct a NodeSorter, passing in the XSL TransformerFactory so it can know how to get the node data according to the proper whitespace rules.
  Parameters:
    `p` - Xpath context to use

Method Detail

### sort

    public void sort(DTMIterator v,
                     java.util.Vector keys,
                     XPathContext support)
              throws TransformerException

  Given a vector of nodes, sort each node according to the criteria in the keys.
  Parameters:
    `v` - an vector of Nodes.
    `keys` - a vector of NodeSortKeys.
    `support` - XPath context to use
  Throws:
    TransformerException -

Copyright © 2006 Apache XML Project. All Rights Reserved.